#!/usr/bin/env python
from coral.modeler import modeler,action

m=modeler.ModelerWindow()

m.main(loop=0)

storage=action.openProject("diagramWithScandinavianChars.xml")

roots = storage.contents()

dem = m.getDiagramEditorManager()

assert dem

for i in roots:
    dem.focusOn(i)
    m.processEvents()


